Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 29 May 2022 20:07:13 +0000

Hi Abdulrahman Alqumea,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group The phone customer service is very bad lake of knowledge answering without understanding uncooperative at all I asked to talk with someone in charge at least to get the information she refused she was very rude I need the call to be reviewed to reevaluate your costumer service stuff 
Her name was Alaa the call was on 26 of may at 11:02 am I want to raise a complaint and follow it  please https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4404462